%global giturl  https://github.com/janestreet/base_quickcheck

Name:           ocaml-base-quickcheck
Version:        0.17.0
Release:        %autorelease
Summary:        Randomized testing framework for OCaml, compatible with Base

License:        MIT
URL:            https://opensource.janestreet.com/base_quickcheck/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/v%{version}/base_quickcheck-%{version}.tar.gz
# Expose a dependency on the math library so RPM can see it
Patch:          %{name}-mathlib.patch

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx-base-devel >= 0.17
BuildRequires:  ocaml-ppx-fields-conv-devel >= 0.17
BuildRequires:  ocaml-ppx-let-devel >= 0.17
BuildRequires:  ocaml-ppx-sexp-message-devel >= 0.17
BuildRequires:  ocaml-ppx-sexp-value-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-ppxlib-jane-devel >= 0.17.0
BuildRequires:  ocaml-splittable-random-devel >= 0.17

%description
Base_quickcheck provides randomized testing in the style of Haskell's
Quickcheck library, with support for built-in types as well as types
provided by Base.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx-base-devel%{?_isa}
Requires:       ocaml-ppx-fields-conv-devel%{?_isa}
Requires:       ocaml-ppx-let-devel%{?_isa}
Requires:       ocaml-ppx-sexp-message-devel%{?_isa}
Requires:       ocaml-ppx-sexp-value-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-ppxlib-jane-devel%{?_isa}
Requires:       ocaml-splittable-random-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n base_quickcheck-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
